## org.apache.hadoop.mapreduce.lib.db
Interface DBSplitter

All Known Implementing Classes:
  BigDecimalSplitter, BooleanSplitter, DateSplitter, FloatSplitter, IntegerSplitter, OracleDateSplitter, TextSplitter

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public interface DBSplitter

DBSplitter will generate DBInputSplits to use with DataDrivenDBInputFormat. DataDrivenDBInputFormat needs to interpolate between two values that represent the lowest and highest valued records to import. Depending on the data-type of the column, this requires different behavior. DBSplitter implementations should perform this for a data type or family of data types.

Method Summary
`List<InputSplit>` `split(Configuration conf, ResultSet results, String colName)` Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.

Method Detail

### split

    List<InputSplit> split(Configuration conf,
                           ResultSet results,
                           String colName)
                           throws SQLException

  Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.

  Throws:
    `SQLException`

Copyright © 2009 The Apache Software Foundation